Page MenuHomePhabricator

Update electron render service
Closed, ResolvedPublic

Description

There's been several releases of the electron-render-service since we've deployed it, would be nice to update it to pick up latest chrome/electron versions.

Event Timeline

Pchelolo created this task.Mar 17 2017, 4:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2017, 4:27 PM

https://gerrit.wikimedia.org/r/#/c/344223/ Updates it to 0.10.0 - the latest tagged version.

The new version was deployed to the deployment-prep and results are available under https://en.wikipedia.beta.wmflabs.org/api/rest_v1/#!/Page_content/get_page_pdf_title

We will probably let it bake in the beta for a couple of days before moving it to production.

Please have a look whether the results are satisfactory. Manual testing of the new version has been done locally, but it's still unclear if there's any regressions comparing to the previously deployed version. cc @Tobi_WMDE_SW @Bmueller @Jan_Dittrich

Pchelolo added a comment.EditedApr 3 2017, 8:04 PM

Since there's been no reports of any issues, we will be moving on this tomorrow, April 04. Please have a look at the new version if you didn't have a chance to test it yet.

Mentioned in SAL (#wikimedia-operations) [2017-04-11T16:37:50Z] <ppchelko@tin> Started deploy [electron-render/deploy@5492cdb]: Update to latest upstream, canary on scb2001 T160764

Mentioned in SAL (#wikimedia-operations) [2017-04-11T16:42:15Z] <ppchelko@tin> Finished deploy [electron-render/deploy@5492cdb]: Update to latest upstream, canary on scb2001 T160764 (duration: 04m 28s)

Mentioned in SAL (#wikimedia-operations) [2017-04-11T17:01:40Z] <ppchelko@tin> Started deploy [electron-render/deploy@5492cdb]: Update to latest upstream, canary on scb2001, attempt#2 T160764

Mentioned in SAL (#wikimedia-operations) [2017-04-11T17:05:00Z] <ppchelko@tin> Finished deploy [electron-render/deploy@5492cdb]: Update to latest upstream, canary on scb2001, attempt#2 T160764 (duration: 03m 22s)

Mentioned in SAL (#wikimedia-operations) [2017-04-11T19:00:33Z] <ppchelko@tin> Started deploy [electron-render/deploy@5492cdb]: Update to latest upstream, canary on scb2001, attempt#3 T160764

Mentioned in SAL (#wikimedia-operations) [2017-04-11T19:01:22Z] <ppchelko@tin> Finished deploy [electron-render/deploy@5492cdb]: Update to latest upstream, canary on scb2001, attempt#3 T160764 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2017-04-11T19:08:27Z] <ppchelko@tin> Started deploy [electron-render/deploy@5492cdb]: Update to latest upstream, full deploy, T160764

Mentioned in SAL (#wikimedia-operations) [2017-04-11T19:11:57Z] <ppchelko@tin> Finished deploy [electron-render/deploy@5492cdb]: Update to latest upstream, full deploy, T160764 (duration: 03m 38s)

Mentioned in SAL (#wikimedia-operations) [2017-04-11T19:18:59Z] <ppchelko@tin> Started deploy [electron-render/deploy@5492cdb]: Update to latest upstream, full deploy, attempt#2 T160764

Mentioned in SAL (#wikimedia-operations) [2017-04-11T19:20:21Z] <ppchelko@tin> Finished deploy [electron-render/deploy@5492cdb]: Update to latest upstream, full deploy, attempt#2 T160764 (duration: 01m 25s)

Pchelolo closed this task as Resolved.Apr 11 2017, 7:22 PM

After a bit of hassle the newest version of the service has been deployed.